GET https://api.revio.co.za/v2/collection/eftParameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skip | query | integer (int32) | no | |
take | query | integer (int32) | no | |
collectionDate | query | string (date-time) | no | |
profileCode | query | string | no | |
submissionDate | query | string (date-time) | no | |
state | query | CollectionState | no | |
externalReference | query | string | no | |
sequenceNumber | query | integer (int64) | no | |
bank | query | string | no | |
serviceType | query | EFTCollectionServiceType | no | |
collectionReference | query | string | no | |
isStatementIdNull | query | boolean | no | |
collectionDateFrom | query | string (date-time) | no | |
collectionDateTo | query | string (date-time) | no | |
creditorAccountNumber | query | string | no | |
settlementId | query | string | no | |
reconReference | query | string | no | |
submissionDateFrom | query | string (date-time) | no | |
submissionDateTo | query | string (date-time) | no | |
bulkId | query | string (uuid) | no | |
isSettlementIdNull | query | boolean | no | |
markedAsSettled | query | boolean | no | |
isUltimateCreditorAccountNumberNull | query | boolean | no | |
creditorAbbreviatedName | query | string | no | |
recourseSettlementId | query | string (uuid) | no |
Example
curl -X GET https://api.revio.co.za/v2/collection/eft \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | OK |